version: 1

header:
  tab: Charts
  title: ActivitySim Summary Charts
  description: "Some example metrics that people find generally useful."

layout:
  topsheetRow:
    - title: "At-a-Glance"
      type: "topsheet"
      props:
        configFile: "topsheet.yaml"

  row0:
    - title: "Trips by Time of Day and Purpose"
      description: "Hourly summary"
      type: "bar"
      props:
        dataset: ".dashboard/trips-tod-wide.csv"
        x: "depart"
        columns: ['Home','Work','atwork','eatout','escort','othdiscr','othmaint','school','shopping','social','univ','work']
        xAxisTitle: "Number of vehicles"
        yAxisTitle: "Households"
        stacked: true

  trips:
   - title: "Auto Ownership"
     description: "Households by Auto Ownership"
     type: "bar"
     height: 6 
     props:
        dataset: ".dashboard/hh-by-autoownership.csv"
        x: "auto_ownership"
        columns: ['income']
        xAxisTitle: "Number of vehicles"
        yAxisTitle: "Households"
        legendTitles: ["Number of Vehicles"]

   - title: "Households by Value of Time"
     description: 'in dollars'
     type: "bar"
     props:
       dataset: ".dashboard/vot.csv"
       x: "vot_bin"
       #xAxisTitle: 'Value of Time'
       columns: ['household_id']
       yAxisTitle: 'Number of households'
       legendTitles: ['Households']

   - title: "CDAP Activities by Person Type"
     type: "bar"
     props:
       dataset: ".dashboard/cdap.csv"
       x: "ptypename"
       columns: ['Stay at Home','Mandatory','Non-mandatory']
       stacked: true
       yAxisTitle: "Activities"

  TLF:
   - title: "Trip Length Frequency"
     type: "bar"
     props:
       dataset: ".dashboard/trips-tlf.csv"
       x: "dist_bin"
       #xAxisTitle: 'Value of Time'
       columns: ['household_id']
       yAxisTitle: 'Number of households'
       legendTitles: ['Households']

   - title: "Free Parking"
     description: "By person type"
     type: "bar"
     props:
       dataset: ".dashboard/free-parking.csv"
       x: "ptypename"
       columns: ['No','Yes']
       barmode: 'stack'
       yAxisTitle: "Free Parking"
